<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
header( "Cache-Control: no-cache" );
header( "Content-type:text/html; charset=utf-8" );
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?><!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"><html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><title>Rating</title>";
echo "<style type=\"text/css\">body { font-size: x-small; color: #000; background-color: #008000 }a:link,a:visited { color : #0000ff }a:hover { color: #000 }.ab { border-style:solid; border-width: 0px; color: #fff; background-color: #808080; text-align: center }.ac { border-style:solid; border-width: 0px; background-color: #fff  }</style></head><body>";
include( "./ini.php" );
$i2 = 4;
if ( empty( $s ) )
{
$s = 0;
}
$s = intval( $s );
if ( $s < 0 )
{
$s = 0;
}
if ( empty( $see ) )
{
$r = @mysql_query( "select * from chat_rating  order by ltime desc;" );
$num = @mysql_num_rows( @$r );
$i = $s * 4;
$q = @mysql_query( @"select * from `chat_rating` order by today desc limit {$i},{$i2};" );
print "<div class=\"ac\">\r\n<div class=\"ab\">\r\n<b>Рейтинг партнеров:</b><br/>\r\nВсего: {$num} </div>";
while ( $arr = @mysql_fetch_array( @$q ) )
{
$link = $arr['sitename'];
$id = $arr['id'];
print "<a href=\"./view.php?see={$id}\">{$link}</a><br/>";
}
echo "---<br/>";
if ( $i + $i2 < $num )
{
echo "<a  href=\"view.php?id={$id}&amp;s=".( $s + 1 )."\">след&#187;</a>\n";
}
}
else
{
$see = intval( $see );
$q = @mysql_query( @"select * from `chat_rating` where id='{$see}' limit 1;" );
$row = @mysql_fetch_array( @$q );
$link = $row['sitename'];
$today = $row['today'];
$all = $row['allday'];
echo "<div class=\"ac\">\r\n<div class=\"ab\">Статистика сайта<br/>\r\n<b>{$link}</b></div>\r\n\r\nСегодня: <b>{$today}</b><br/>\r\nВсего: <b>{$all}</b><br/>\r\nПерейти на \r\n<a href=\"http://{$link}\">сайт</a><br/><br/>\r\n</div>\r\n<a href=\"./view.php\">&#8592; Рейтинг</a><br/>";
}
print "</div>\r\n<a href=\"./index.php\">&#8592; Чат</a><br/>\r\n<a href=\"../index.php\">&#8592; Главная</a><br/>\r\n<p>{$ip}</p></body></html>";
@mysql_close( );
ob_end_flush( );
?>